Page MenuHomePhabricator

Change the NS_USER_TALK and NS_PROJECT_TALK namespaces on Bosnian Wikipedia (bswiki)
Closed, ResolvedPublic

Description

Please change the following namespaces:

"Razgovor s Wikipediom" → "Razgovor s Wikipedijom"
"Razgovor sa korisnikom" → "Razgovor s korisnikom"

There was a 7 day period where users could address whether they agreed with the proposal, and a consensus was reached here: https://bs.wikipedia.org/wiki/Wikipedia:Zahtjev_za_komentare/Promjena_imenskih_prostora (originally posted on the Village Pump and moved from here: https://bs.wikipedia.org/w/index.php?title=Wikipedia:%C4%8Car%C5%A1ija&curid=19126&diff=2641385&oldid=2641371 to the Wikipedia: namespace for clarity and consistency).

Event Timeline

Srdjan_m created this task.Oct 18 2015, 2:39 PM
Srdjan_m raised the priority of this task from to Normal.
Srdjan_m updated the task description. (Show Details)
Srdjan_m added a subscriber: Srdjan_m.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 18 2015, 2:39 PM

@Srdjan_m Razgovor sa korisnikom is the bosnian word NS_USER_TALK?

@Luke081515 The current name of that namespace is "Razgovor sa korisnikom". It should be "Razgovor s korisnikom". Without the "a".

Similar for "Razgovor s Wikipediom". It should be "Razgovor s Wikipedijom".

Change 247093 had a related patch set uploaded (by Luke081515):
Rename two namespaces at bswiki

https://gerrit.wikimedia.org/r/247093

@Srdjan_m Is the change of NS_USER_TALK needed for all wikis at that language, or just for this WMF-Wiki?

Srdjan_m added a comment.EditedOct 18 2015, 3:59 PM

@Luke081515 It's needed for all of them, but if that's not possible, it's fine to do it just for that WMF Wiki.

Hm, ok. I don't know, if there is enough consensus to rename it at all wikis. What do the others think about that?

@Luke081515 I started a discussion on the page. I'll update in a couple of days or so, since the community is fairly small and we should have a consensus by then.

This comment was removed by Srdjan_m.
Luke081515 added a comment.EditedOct 19 2015, 4:09 PM

Ok, I think for renaming all wikis, you need consensus at the other bs wikis too. So at first, I would change only the local config.

Srdjan_m added a comment.EditedOct 19 2015, 5:54 PM

@Luke081515 Yep, you can go ahead and do the two namespace changes for that wiki and if we get consensus for changing all of them, I'll open up a new task.

Added to deploy it per SWAT in the evening

Luke081515 removed Luke081515 as the assignee of this task.Nov 2 2015, 5:01 PM
Luke081515 set Security to None.

@Luke081515 Could you give the current status of this task?

This is okay for bs.wikipedia, and now we have to see for other bs. wikis?

@Dereckson Current Status: Patch is here, but I'm not sure, see comment by Alex Monk, Nov 2 5:54 PM. If it's the right way, we just need to fix the tab, I inserted that not intentionally.

This comment was removed by Srdjan_m.

NS_USER_TALK needs to be changed in MW core - languages/messages/MessagesBs.php

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 27 2016, 5:20 PM

Change 276269 had a related patch set uploaded (by Dereckson):
Improve translation for bs namespaces

https://gerrit.wikimedia.org/r/276269

So plan to resolve this task is to merge two changes:

@Luke081515 This is ready to be deployed as far as I'm concerned (and should be deployed before the NS_USER_TALK rename in core, to avoid to break links).

Change 276269 merged by jenkins-bot:
Improve translation for bs namespaces

https://gerrit.wikimedia.org/r/276269

Change 277816 had a related patch set uploaded (by Dereckson):
Improve translation for bs namespaces

https://gerrit.wikimedia.org/r/277816

Change 277817 had a related patch set uploaded (by Dereckson):
Improve translation for bs namespaces

https://gerrit.wikimedia.org/r/277817

Change 247093 merged by jenkins-bot:
Namespace configuration for bs.wikipedia

https://gerrit.wikimedia.org/r/247093

Change 277816 merged by jenkins-bot:
Improve translation for bs namespaces

https://gerrit.wikimedia.org/r/277816

Change 277817 merged by jenkins-bot:
Improve translation for bs namespaces

https://gerrit.wikimedia.org/r/277817

Dereckson closed this task as Resolved.Mar 16 2016, 11:51 PM
Dereckson claimed this task.

Changes have been deployed during the 2016-03-15 evening SWAT window and are now live on bs.wikipedia.

The talk user namespace translation has also been integrated to the MediaWiki core.